<?php
/**
 * Breadcrumb options
 *
 * @package Netnus Themes
 * @subpackage  Skitouring
 * @since  Skitouring 1.0.0
 */

$wp_customize->add_section( 'skitouring_breadcrumb',
	array(
		'title'             => esc_html__( 'Breadcrumb','skitouring' ),
		'description'       => esc_html__( 'Breadcrumb section options.', 'skitouring' ),
		'panel'             => 'skitouring_theme_options_panel',
	)
);

// Breadcrumb enable setting and control.
$wp_customize->add_setting( 'skitouring_theme_options[breadcrumb_enable]',
	array(
		'sanitize_callback' => 'skitouring_sanitize_switch_control',
		'default'          	=> $options['breadcrumb_enable'],
	)
);

$wp_customize->add_control( new  Skitouring_Switch_Control( $wp_customize,
	'skitouring_theme_options[breadcrumb_enable]',
		array(
			'label'            	=> esc_html__( 'Enable Breadcrumb', 'skitouring' ),
			'section'          	=> 'skitouring_breadcrumb',
			'on_off_label' 		=> skitouring_switch_options(),
		)
	)
);

// Breadcrumb separator setting and control.
$wp_customize->add_setting( 'skitouring_theme_options[breadcrumb_separator]',
	array(
		'sanitize_callback'	=> 'sanitize_text_field',
		'default'          	=> $options['breadcrumb_separator'],
	)
);

$wp_customize->add_control( 'skitouring_theme_options[breadcrumb_separator]',
	array(
		'label'            	=> esc_html__( 'Separator', 'skitouring' ),
		'active_callback' 	=> 'skitouring_is_breadcrumb_enable',
		'section'          	=> 'skitouring_breadcrumb',
	)
);
