<?php
/**
 * Layout options
 *
 * @package Netnus Themes
 * @subpackage  Skitouring
 * @since  Skitouring 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'skitouring_layout',
	array(
		'title'               => esc_html__('Layout','skitouring'),
		'description'         => esc_html__( 'Layout section options.', 'skitouring' ),
		'panel'               => 'skitouring_theme_options_panel',
	)
);

// Site layout setting and control.
$wp_customize->add_setting( 'skitouring_theme_options[site_layout]',
	array(
		'sanitize_callback'   => 'skitouring_sanitize_select',
		'default'             => $options['site_layout'],
	)
);

$wp_customize->add_control(  new  Skitouring_Custom_Radio_Image_Control ( $wp_customize,
	'skitouring_theme_options[site_layout]',
		array(
			'label'               => esc_html__( 'Site Layout', 'skitouring' ),
			'section'             => 'skitouring_layout',
			'choices'			  => skitouring_site_layout(),
		)
	)
);

// Sidebar position setting and control.
$wp_customize->add_setting( 'skitouring_theme_options[sidebar_position]',
	array(
		'sanitize_callback'   => 'skitouring_sanitize_select',
		'default'             => $options['sidebar_position'],
	)
);

$wp_customize->add_control(  new  Skitouring_Custom_Radio_Image_Control ( $wp_customize,
	'skitouring_theme_options[sidebar_position]',
		array(
			'label'               => esc_html__( 'Global Sidebar Position', 'skitouring' ),
			'section'             => 'skitouring_layout',
			'choices'			  => skitouring_global_sidebar_position(),
		)
	)
);

// Post sidebar position setting and control.
$wp_customize->add_setting( 'skitouring_theme_options[post_sidebar_position]',
	array(
		'sanitize_callback'   => 'skitouring_sanitize_select',
		'default'             => $options['post_sidebar_position'],
	)
);

$wp_customize->add_control(  new  Skitouring_Custom_Radio_Image_Control ( $wp_customize,
	'skitouring_theme_options[post_sidebar_position]',
		array(
			'label'               => esc_html__( 'Posts Sidebar Position', 'skitouring' ),
			'section'             => 'skitouring_layout',
			'choices'			  => skitouring_sidebar_position(),
		)
	)
);

// Post sidebar position setting and control.
$wp_customize->add_setting( 'skitouring_theme_options[page_sidebar_position]',
	array(
		'sanitize_callback'   => 'skitouring_sanitize_select',
		'default'             => $options['page_sidebar_position'],
	)
);

$wp_customize->add_control( new  Skitouring_Custom_Radio_Image_Control( $wp_customize,
	'skitouring_theme_options[page_sidebar_position]',
		array(
			'label'               => esc_html__( 'Pages Sidebar Position', 'skitouring' ),
			'section'             => 'skitouring_layout',
			'choices'			  => skitouring_sidebar_position(),
		)
	)
);