<?php
/**
 * Menu options
 *
 * @package Netnus Themes
 * @subpackage  Skitouring
 * @since  Skitouring 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'skitouring_menu',
	array(
		'title'             => esc_html__('Header Menu','skitouring'),
		'description'       => esc_html__( 'Header Menu options.', 'skitouring' ),
		'panel'             => 'nav_menus',
	)
);


$wp_customize->add_setting( 'skitouring_theme_options[search_icon_in_primary_menu_enable]',
	array(
		'sanitize_callback' => 'skitouring_sanitize_switch_control',
		'default'           => $options['search_icon_in_primary_menu_enable'],
	)
);

$wp_customize->add_control( new  Skitouring_Switch_Control( $wp_customize,
	'skitouring_theme_options[search_icon_in_primary_menu_enable]',
		array(
			'label'             => esc_html__( 'Show Search Icon', 'skitouring' ),
			'description'       => esc_html__( 'Show Search Icon in Primary menu', 'skitouring' ),
			'section'           => 'skitouring_menu',
			'on_off_label' 		=> skitouring_switch_options(),
		)
	)
);
