<?php
/**
 * pagination options
 *
 * @package Netnus Themes
 * @subpackage  Skitouring
 * @since  Skitouring 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'skitouring_pagination',
	array(
		'title'               	=> esc_html__('Pagination','skitouring'),
		'description'         	=> esc_html__( 'Pagination section options.', 'skitouring' ),
		'panel'               	=> 'skitouring_theme_options_panel',
	)
);

// Sidebar position setting and control.
$wp_customize->add_setting( 'skitouring_theme_options[pagination_enable]',
	array(
		'sanitize_callback' 	=> 'skitouring_sanitize_switch_control',
		'default'             	=> $options['pagination_enable'],
	)
);

$wp_customize->add_control( new  Skitouring_Switch_Control( $wp_customize,
	'skitouring_theme_options[pagination_enable]',
		array(
			'label'               	=> esc_html__( 'Pagination Enable', 'skitouring' ),
			'section'             	=> 'skitouring_pagination',
			'on_off_label' 			=> skitouring_switch_options(),
		)
	)
);

// Site layout setting and control.
$wp_customize->add_setting( 'skitouring_theme_options[pagination_type]',
	array(
		'sanitize_callback'   	=> 'skitouring_sanitize_select',
		'default'             	=> $options['pagination_type'],
	)
);

$wp_customize->add_control( 'skitouring_theme_options[pagination_type]',
	array(
		'label'               	=> esc_html__( 'Pagination Type', 'skitouring' ),
		'section'             	=> 'skitouring_pagination',
		'type'                	=> 'select',
		'choices'			  	=> skitouring_pagination_options(),
		'active_callback'	  	=> 'skitouring_is_pagination_enable',
	)
);
