<?php
/**
 * Reset options
 *
 * @package Netnus Themes
 * @subpackage  Skitouring
 * @since  Skitouring 1.0.0
 */

/**
* Reset section
*/
// Add reset enable section
$wp_customize->add_section( 'skitouring_reset_section',
	array(
		'title'             => esc_html__('Reset all settings','skitouring'),
		'description'       => esc_html__( 'Caution: All settings will be reset to default. Refresh the page after clicking Save & Publish.', 'skitouring' ),
	)
);

// Add reset enable setting and control.
$wp_customize->add_setting( 'skitouring_theme_options[reset_options]',
	array(
		'default'           => $options['reset_options'],
		'sanitize_callback' => 'skitouring_sanitize_checkbox',
		'transport'			=> 'postMessage',
	)
);

$wp_customize->add_control( 'skitouring_theme_options[reset_options]',
	array(
		'label'             => esc_html__( 'Check to reset all settings', 'skitouring' ),
		'section'           => 'skitouring_reset_section',
		'type'              => 'checkbox',
	)
);
