<?php
/**
 * Excerpt options
 *
 * @package Netnus Themes
 * @subpackage  Skitouring
 * @since  Skitouring 1.0.0
 */

// Add excerpt section
$wp_customize->add_section( 'skitouring_single_post_section',
	array(
		'title'             => esc_html__( 'Single Post','skitouring' ),
		'description'       => esc_html__( 'Options to change the single posts globally.', 'skitouring' ),
		'panel'             => 'skitouring_theme_options_panel',
	)
);

// Archive date meta setting and control.
$wp_customize->add_setting( 'skitouring_theme_options[single_post_hide_date]',
	array(
		'default'           => $options['single_post_hide_date'],
		'sanitize_callback' => 'skitouring_sanitize_switch_control',
	)
);

$wp_customize->add_control( new  Skitouring_Switch_Control( $wp_customize,
	'skitouring_theme_options[single_post_hide_date]',
		array(
			'label'             => esc_html__( 'Hide Date', 'skitouring' ),
			'section'           => 'skitouring_single_post_section',
			'on_off_label' 		=> skitouring_hide_options(),
		)
	)
);

// Archive author meta setting and control.
$wp_customize->add_setting( 'skitouring_theme_options[single_post_hide_author]',
	array(
		'default'           => $options['single_post_hide_author'],
		'sanitize_callback' => 'skitouring_sanitize_switch_control',
	)
);

$wp_customize->add_control( new  Skitouring_Switch_Control( $wp_customize,
	'skitouring_theme_options[single_post_hide_author]',
		array(
			'label'             => esc_html__( 'Hide Author', 'skitouring' ),
			'section'           => 'skitouring_single_post_section',
			'on_off_label' 		=> skitouring_hide_options(),
		)
	)
);
